seeie
Prev | DocBook Element Reference | Next

This is an alpha version of this book.

# seeie

seeie — A “See” entry in an index, rather than in the text

## Synopsis

### Mixed Content Model

    seeie ::=
    (#PCDATA|footnoteref|xref|abbrev|acronym|citation|citerefentry|
     citetitle|emphasis|firstterm|foreignphrase|glossterm|footnote|
     phrase|quote|trademark|wordasword|personname|link|olink|ulink|
     action|application|classname|methodname|interfacename|
     exceptionname|ooclass|oointerface|ooexception|command|
     computeroutput|database|email|envar|errorcode|errorname|
     errortype|errortext|filename|function|guibutton|guiicon|guilabel|
     guimenu|guimenuitem|guisubmenu|hardware|interface|keycap|keycode|
     keycombo|keysym|literal|constant|markup|medialabel|menuchoice|
     mousebutton|option|optional|parameter|prompt|property|
     replaceable|returnvalue|sgmltag|structfield|structname|symbol|
     systemitem|token|type|userinput|varname|nonterminal|anchor|
     author|authorinitials|corpauthor|modespec|othercredit|
     productname|productnumber|revhistory|remark|subscript|
     superscript|inlinegraphic|inlinemediaobject)*

### Attributes

Common attributes

Name | Type | Default
linkend | IDREF | None

## Description

`SeeIE` identifies a “See” cross reference in an `IndexEntry`. `IndexEntry`s occur in an `Index`, not in the flow of the text. They are part of a formatted index, not markers for indexing.

### Processing expectations

Formatted as a displayed block. `IndexEntry`s that include a `SeeIE` should be formatted normally, with the “See also” indented below the term. There should be no other entries for this term.

`SeeIE` is usually expected to generate the text, “See.”

The `Linkend` attribute should point to the referenced `IndexEntry`s, which should be in the same `Index`. Online systems may use the link information to form a hypertext link.

### Future Changes

The `InterfaceDefinition` element will be discarded in DocBook V4.0. It will no longer be available in the content model of this element.

### Parents

These elements contain seeie: `indexentry`.

### Children

The following elements occur in seeie: `abbrev`, `acronym`, `action`, `anchor`, `application`, `author`, `authorinitials`, `citation`, `citerefentry`, `citetitle`, `classname`, `command`, `computeroutput`, `constant`, `corpauthor`, `database`, `email`, `emphasis`, `envar`, `errorcode`, `errorname`, `errortext`, `errortype`, `exceptionname`, `filename`, `firstterm`, `footnote`, `footnoteref`, `foreignphrase`, `function`, `glossterm`, `guibutton`, `guiicon`, `guilabel`, `guimenu`, `guimenuitem`, `guisubmenu`, `hardware`, `inlinegraphic`, `inlinemediaobject`, `interface`, `interfacename`, `keycap`, `keycode`, `keycombo`, `keysym`, `link`, `literal`, `markup`, `medialabel`, `menuchoice`, `methodname`, `modespec`, `mousebutton`, `nonterminal`, `olink`, `ooclass`, `ooexception`, `oointerface`, `option`, `optional`, `othercredit`, `parameter`, `personname`, `phrase`, `productname`, `productnumber`, `prompt`, `property`, `quote`, `remark`, `replaceable`, `returnvalue`, `revhistory`, `sgmltag`, `structfield`, `structname`, `subscript`, `superscript`, `symbol`, `systemitem`, `token`, `trademark`, `type`, `ulink`, `userinput`, `varname`, `wordasword`, `xref`.

## Attributes

linkend

  `Linkend` points to the associated `IndexEntry`.

## See Also

`indexentry`, `indexterm`, `primary`, `primaryie`, `secondary`, `secondaryie`, `see`, `seealso`, `seealsoie`, `tertiary`, `tertiaryie`.

## Examples

For examples, see `index` .

Prev | Home | Next
seealsoie | Up | seg

Copyright© 1999, 2000, 2001 O'Reilly & Associates, Inc. All rights reserved.